'''
Build unix-style (non-framework) "_tkinter" extension module on OSX

# install X11tk version of tk
conda install -c schrodinger tk

cd /usr/local/src/Python-3.6.1/Modules
python3.6 .../path/to/setup_tkinter.py build

'''

import os
from distutils.core import setup, Extension

ext = Extension('_tkinter', ['_tkinter.c', 'tkappinit.c'],
        define_macros=[('WITH_APPINIT', 1)],
        include_dirs = ['/opt/X11/include'],
        libraries = ['tcl8.6', 'tk8.6'],
        )

setup(ext_modules=[ext])
